/*
 * KK_HOST.c
 *
 *  Created on: 17.12.2012
 *      Author: kurt
 */

#include <avr/interrupt.h>
#include <avr/io.h>
#include "inttypes.h"
#include "stdio.h"
#include "string.h"

#include "ButtonHandler.h"
#include "SPIHandler.h"
#include "LCDDriver.h"
#include "LEDDriver.h"
#include "TouchDriver.h"

int main(void)
{
	uint8_t button;

	sei();
	Button_init();
	LED_init();
	LCD_init();
	if (Touch_init() == 2) {
		Touch_setup();
	}
	SPI_init();
	for(;;) {
		LCD_loop(0);
		SPI_handleBuffer();
		Touch_getTouch();
		button = Touch_readButton();
		if (button != 0xff) {
			SPI_sendButton(button);
		}
	}
}
